=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::CarrierOwnAccountsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'CarrierOwnAccountsApi' do
  before do
    # run before each test
    @instance = Shippo::CarrierOwnAccountsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of CarrierOwnAccountsApi' do
    it 'should create an instance of CarrierOwnAccountsApi' do
      expect(@instance).to be_instance_of(Shippo::CarrierOwnAccountsApi)
    end
  end

  # unit tests for platform_carrier_own_account_creation
  # Create a new carrier account
  # Creates a new carrier account or connects an existing carrier account to the Shippo account.
  # @param [Hash] opts the optional parameters
  # @option opts [ConnectExistingOwnUPSAccountRequest] :body Examples.
  # @return [PlatformCarrierOwnAccountCreationResponse]
  describe 'platform_carrier_own_account_creation test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for platform_carrier_own_account_list
  # List all carrier accounts
  # List all carrier accounts.
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PlatformCarrierOwnAccountListResponse]
  describe 'platform_carrier_own_account_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for platform_carrier_own_account_get
  # Retrieve a carrier account
  # Retrieve an existing carrier account by object id.
  # @param carrier_account_id description: Object ID of the carrier account
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [PlatformCarrierOwnAccountCreationResponse]
  describe 'platform_carrier_own_account_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for platform_carrier_own_account_update
  # Update a carrier account
  # PUT request to update an existing carrier account object. The account_id and carrier can&#x27;t be updated, because they form the unique identifier together.
  # @param [Hash] opts the optional parameters
  # @option opts [UpdateCarrierAccountRequest] :body Examples.
  # @return [PlatformCarrierOwnAccountCreationResponse]
  describe 'platform_carrier_own_account_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
